/*
 * Copyright (C) 2014 Stefan Niederhauser (nidin@gmx.ch)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package guru.nidi.ramltester.core;

import guru.nidi.raml.loader.model.RamlLoader;
import guru.nidi.ramltester.util.MediaType;
import guru.nidi.ramltester.util.Message;

/**
 *
 */
public interface SchemaValidator {
    boolean supports(MediaType mediaType);

    SchemaValidator withResourceLoader(RamlLoader resourceLoader);

    void validate(String content, String schema, RamlViolations violations, Message message);
}
